- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# StateOfDrawGlyph Struct Reference

List of all members.

## Public Member Functions
| StateOfDrawGlyph (std::ostream &os)
std::ostream & | os ()
FT_Vector | startPt ()
void | setStartPt (const FT_Vector pt)
bool | isNewPath ()
void | setNewPathFalse ()
## Private Attributes
std::ostream & | _os
FT_Vector | _startPt
bool | _isNewPath

## Constructor & Destructor Documentation

StateOfDrawGlyph::StateOfDrawGlyph | ( | std::ostream & | os | ) | `[inline]`

## Member Function Documentation

std::ostream& StateOfDrawGlyph::os | ( |  | ) | `[inline]`

FT_Vector StateOfDrawGlyph::startPt | ( |  | ) | `[inline]`

void StateOfDrawGlyph::setStartPt | ( | const FT_Vector | pt | ) | `[inline]`

bool StateOfDrawGlyph::isNewPath | ( |  | ) | `[inline]`

void StateOfDrawGlyph::setNewPathFalse | ( |  | ) | `[inline]`

## Member Data Documentation

std::ostream& StateOfDrawGlyph::_os`[private]`

FT_Vector StateOfDrawGlyph::_startPt`[private]`

bool StateOfDrawGlyph::_isNewPath`[private]`

The documentation for this struct was generated from the following file:

- drawGlyph.cpp